#ifndef TanksTree_hpp
#define TanksTree_hpp

#include <play/Tree.hpp>

namespace Tanks {
  class Tree : public ::Tree {
    const struct Mesh : ConeMesh {
      Mesh(
        const unsigned int size,
        const double rad
      );
    } mesh;
    const ::Mesh& getMesh() const override;
  public:
    Tree(
      const unsigned int size = 3,
      const double rad = 0
    );
  };
}

#endif
